# Class MediaSize.Engineering

java.lang.Object
javax.print.attribute.standard.MediaSize.Engineering

Enclosing class:
  `MediaSize`

public static final class MediaSize.Engineering extends Object
Class `MediaSize.Engineering` includes `MediaSize` values for engineering media.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final MediaSize`
  `A`
  Specifies the engineering A size, 8.5 inch by 11 inch.
  `static final MediaSize`
  `B`
  Specifies the engineering B size, 11 inch by 17 inch.
  `static final MediaSize`
  `C`
  Specifies the engineering C size, 17 inch by 22 inch.
  `static final MediaSize`
  `D`
  Specifies the engineering D size, 22 inch by 34 inch.
  `static final MediaSize`
  `E`
  Specifies the engineering E size, 34 inch by 44 inch.

- ## Method Summary

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### A

    public static final MediaSize A
    Specifies the engineering A size, 8.5 inch by 11 inch.

  - ### B

    public static final MediaSize B
    Specifies the engineering B size, 11 inch by 17 inch.

  - ### C

    public static final MediaSize C
    Specifies the engineering C size, 17 inch by 22 inch.

  - ### D

    public static final MediaSize D
    Specifies the engineering D size, 22 inch by 34 inch.

  - ### E

    public static final MediaSize E
    Specifies the engineering E size, 34 inch by 44 inch.